Get a paged array of credit-notes
curl --request GET \
--url https://api.splose.com/v1/credit-notes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.splose.com/v1/credit-notes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.splose.com/v1/credit-notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.splose.com/v1/credit-notes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.splose.com/v1/credit-notes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.splose.com/v1/credit-notes")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.splose.com/v1/credit-notes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 1,
"customNum": "CN-0001",
"invoiceId": 1,
"patientId": 1,
"subtotal": 193.99,
"tax": 0,
"total": 193.99,
"creditNoteItems": [
{
"id": 1,
"invoiceItemId": 1,
"unitPrice": 193.99,
"quantity": 0.5,
"discount": "$20.00"
}
],
"description": "Some description",
"deletedAt": "2023-07-30T09:00:00.000Z",
"sentStatus": "Sent",
"creditAllocations": [],
"createdAt": "2023-07-30T09:00:00.000Z",
"updatedAt": "2023-07-30T09:00:00.000Z"
}
],
"links": {
"previousPage": "/v1/${object_type}?id_gt=200",
"nextPage": "/v1/${object_type}?id_lt=100"
}
}Credit note
Get a paged array of credit-notes
Get a paged array of credit-notes
Get a paged array of credit-notes
curl --request GET \
--url https://api.splose.com/v1/credit-notes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.splose.com/v1/credit-notes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.splose.com/v1/credit-notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.splose.com/v1/credit-notes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.splose.com/v1/credit-notes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.splose.com/v1/credit-notes")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.splose.com/v1/credit-notes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 1,
"customNum": "CN-0001",
"invoiceId": 1,
"patientId": 1,
"subtotal": 193.99,
"tax": 0,
"total": 193.99,
"creditNoteItems": [
{
"id": 1,
"invoiceItemId": 1,
"unitPrice": 193.99,
"quantity": 0.5,
"discount": "$20.00"
}
],
"description": "Some description",
"deletedAt": "2023-07-30T09:00:00.000Z",
"sentStatus": "Sent",
"creditAllocations": [],
"createdAt": "2023-07-30T09:00:00.000Z",
"updatedAt": "2023-07-30T09:00:00.000Z"
}
],
"links": {
"previousPage": "/v1/${object_type}?id_gt=200",
"nextPage": "/v1/${object_type}?id_lt=100"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The starting object id of the next page
Example:
200
The starting object id of the previous page
Example:
100
Search for objects updated after this date time
Example:
"2023-07-30T09:00:00.000Z"
Search for objects updated before this date time
Example:
"2023-07-30T09:00:00.000Z"
Whether archived objects should be retrieved, default is false
Available options:
true, false Search for credit notes of this patient
Example:
1
Search for credit notes of this invoice
Example:
1
Search for credit notes created by this practitioner
Example:
1
Search for credit notes of this sent status
Available options:
Sent, Viewed Example:
"Sent"